Subject: bug#11587: closed (Re: bug#11587: 24.0.97; Crash with global-linum-mode and info)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 May 2012 18:14:02 +0000

Your bug report

#11587: 24.0.97; Crash with global-linum-mode and info

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11587: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11587
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11587: 24.0.97; Crash with global-linum-mode and info
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Wed, 30 May 2012 21:11:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 30 May 2012 18:23:03 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Chong Yidong <[email-masked]>
> > Date: Wed, 30 May 2012 22:17:01 +0800
> > Cc: [email-masked]
> > 
> > "Lars Ljung" <[email-masked]> writes:
> > 
> > > Emacs will crash if global-linum-mode is enabled the first time I go to
> > > the info directory. This can be reproduced every time using this sequence:
> > >
> > > "C:\Program Files\GNU Emacs 24\bin\runemacs.exe" -Q
> > > M-x global-linum-mode
> > > C-h i
> > >
> > > It seems like the crash happens every time a new info buffer is created.
> > > If I first do C-h i and the M-x global-linum-mode it doesn't crash at the
> > > next C-h i. However, it will then crash when I try to go to any info node.
> > 
> > I can't reproduce this on GNU Emacs 24.0.97.3 (x86_64-unknown-linux-gnu,
> > GTK+ Version 3.2.0).  Maybe a Windows-specific problem; could you
> > provide a backtrace?
> 
> I can reproduce it, and I'm working on a fix.

I think I fixed it, please test (revision 108024 on the emacs-24
branch).

Subject: 24.0.97; Crash with global-linum-mode and info
From: "Lars Ljung" <[email-masked]>
To: [email-masked]
Date: Wed, 30 May 2012 15:35:35 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs will crash if global-linum-mode is enabled the first time I go to
the info directory. This can be reproduced every time using this sequence:

"C:\Program Files\GNU Emacs 24\bin\runemacs.exe" -Q
M-x global-linum-mode
C-h i

It seems like the crash happens every time a new info buffer is created.
If I first do C-h i and the M-x global-linum-mode it doesn't crash at the
next C-h i. However, it will then crash when I try to go to any info node.

In GNU Emacs 24.0.97.1 (i386-mingw-nt5.1.2600)
 of 2012-05-17 on MARVIN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --no-opt --enable-checking --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: SVE
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> M-x r e p o r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win
w32-vars tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process multi-tty emacs)